Introduction

Kerux2010 Sermon Illustration Database

This is the first 64-bit version of the Kerux sermon illustration database. It contains the same illustrations and sermons as the older versions while adding powerful new features on how to search, edit and export them.

With the Kerux system you can add your own sermons and illustrations, do rapid searches across tens of thousands of records, copy relevant material into the Windows Clipboard, and note when and where you used individual records.

This database should be able to be used on any Windows-based computer. It has been programmed by means of Microsoft Access 2010 but it does not require that program to operate. (Those who own MS Access 2007, 2010, 2013, or 2016 will be able to use special features and make changes to the code of the database, however.)

This help file has been programmed into the database. Many fields have context-sensitive help - just put your mouse cursor in the field and press the F1 key. The help file must be put in the same directory as the database.

Within the help file, bold blue items highlight the main themes. Underlined bold blue words link to other pages of the help file.

  • Installing the database

  • Tutorial - a quick guide to the database

  • What's new

  • Known glitches

  • Terms used

  • System requirements

  • Developers - who we are

This file was last edited on March 2, 2019.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source


Getting help

This help file can be accessed from within the Kerux 2010 program by clicking the F1 key. Many of the fields in the database have been individually matched to a help topic.

You can also browse the index of the help file, or search for keywords.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easily create Web Help sites


Installing the database

Those who own the Microsoft Access 2007 and 2010 program can open the database immediately. Those who do not own it can install a free "runtime" version from Microsoft and then they can open the database.

Here is the process:

  1. Download and install the Microsoft Access runtime program:

    http://www.microsoft.com/downloads/en/details.aspx?FamilyID=57a350cd-5250-4df6-bfd1-6ced700a6715&displaylang=en

    If the first file listed (64-bit) doesn't work, try the next one (32-bit).

  2. After you install the runtime Access program and install the database, you will probably be told: “A potential security concern has been identified” and asked if you trust the source. Click "open". (Later you can designate C:\Kerux as a trusted location)

  3. An error message may pop up - a procedure call function is not working. Close the error message. We don't know what causes this error on some computers but the database seems to work correctly anyway.

Please report any unusual events or problems to Pastor David Holwick at dholwick@gmail.com so he can pass it on to people who know much more than he does.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Full featured multi-format Help generator


What's new

Kerux 2010 has these features:

  • Built-in text editor for WYSIWYG formatting

  • Intelligent searching for Bible references, using either full book name or a variety of abbreviations

  • Search both sermons and illustrations at the same time

  • Forms (screens) automatically adjust to fit your screen

  • Attach external files to individual records

  • Create customized data sets

  • Add multiple notes to any record, with dates

  • Many options can be customized by you

  • Automatic capitalization in many fields with the ability to override specific words

  • Multiple options for importing and exporting records as supplements, for both the Kerux2010 and SID versions

  • The Kerux2010 version can import Bible Illustrator files

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easily create Web Help sites


Terms used

The database, and this help file, use some technical terms you may not understand. This chart should guide you through the most important ones.

Check box | An area on a form that looks like a small box. When you click it, a checkmark appears.
Database | The entire set of records. Properly speaking, the standard set of records is called the Kerux Database.
Dataset | A group of records in the database. When you apply a filter you are creating a dataset, also called a subset or set.
Engine | The bottom layer of a database looks like a spreadsheet but an "engine" makes the records viewable; the popular engines for this database are SID and Microsoft Access. Some users have created their own engines with dBase or other programs. The original engine for the Kerux database was a program on a Radio Shack TRS-80 computer back in 1986, followed by the DOS program First Choice 3.0 in 1988 and Access 97 in the late 1990s. The engine for Kerux 2010 is Access 2007, though Access 2010 can also open it. The standalone or runtime version (freeware) contains its own engine so you don't have to purchase the Microsoft program.
Export | Sending a collection of records (illustrations/sermons) to an external file
Field | An area on a form that contains information. Usually a field is white and most can be written in by you. The official name of a field is called the FieldName.
Filter | A restriction you put on the database to limit the number of records you have to deal with. When you ask the database to only show you records that were entered in 2009, you are putting a filter on it.
Form | Each page you view in the program is called a form. Some forms are simple and others are complex with multiple pages. The Kerux Main Menu is a form and the Resources page that shows you the sermons and illustrations is a form.
Import | Adding an external collection of records to the database. By importing supplements you keep your database up-to-date. The import feature is also used to add improvements to the programming behind the database.
Kerux database | The collection of records is called the Kerux database. The "front-end engines" that display the records and help you work with them are called SID or Access. The underlying content of all of them is the same, as long as you have downloaded all the available supplements.
Menu bar | A menu bar is a list of words at the top of a form. On the Resources form, the menu bar has "Search, Adv. Search, Print, Close, ..." If there are icons instead of words, it is called an Icon Bar.
Record | A sermon illustration or sermon within the database. Each has its own set of numbers attached to it.
Set | Same as dataset. A collection of records that results from a search.
Supplement | A collection of records (sermons and illustrations) in a database format that can be exported from your database for others to use, or imported into your database from someone else.
Table | The foundation of the database is tables of data which look like spreadsheets. It is easier to view the records by means of a form.

Feel free to suggest other terms that were not immediately clear to you

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free Web Help generator


Developers

The Kerux2010 database is the culmination of over twenty-five years of development. It began in 1984 on a TRS-80 Radio Shack computer with a ProFile program, then moved to the First Choice database on an IBM compatible computer in 1986. The main layout of the forms dates from this version. A rudimentary Microsoft Access version was put together by David Holwick, then completely revamped by Rev. Chris Wareham. Brett Wilton and Iain Gordon from New Zealand came up with the SID version, which did not require Microsoft Access to operate but was built upon that architecture; the main search screen is patterned after their work. In 2010, Edward Barclay began developing the Kerux2010 version which is based on Microsoft Access 2007. It has added many new features and much more complexity in the programming. This is the version that this help file refers to.

David Holwick is the editor of the database, and the former pastor of the First Baptist Church of Ledgewood, New Jersey, from 1989 to 2018. He is a graduate of Wheaton College ('78) and Gordon-Conwell Seminary ('82). Ledgewood Baptist is American Baptist but affiliated with the Evangelical renewal movement within the denomination. His website is Holwick.com and his email is dholwick@gmail.com. He and Celeste live on the Cross River in Boothbay, Maine.

Edward Barclay III is the main developer of the Kerux2010 database. He began his ministry in Milford Ohio, with Masters Clubs and is now a church planter for Hope Baptist Church in Loveland, Colorado. His website is hopebaptistcolorado.org/about-hope/our-pastor.html .

Chris Wareham is pastor of St. Mark and Zion Lutheran Churches in Butte and Whitehall, Montana. He started as a civil engineer and went into the ministry in 1980. Chris is the brains behind the original Access 97 and Access 2002 versions of the database. He can be contacted at stmarklutheran@yahoo.com

Garth Hutchinson is lay pastor of Faith Fellowship Baptist in Aurora, Ontario, Canada. He has been in computer programming most of his adult life. Garth's special area of expertise for the database has been the tools to import and export formatted records between database versions. He has also spent much time solving glitches in the programming code.

Brett Wilton is a computer programmer in New Zealand who works in off-shore oil exploration. Brett has done most of the S.I.D. programming, which was done in Borland Visual C++. He helps Iain with the jesusplusnothing.com website.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Known glitches

The database has a few issues that have not been resolved yet, though we are always working on them. Some are not so much glitches as unfinished abilities. If you encounter a true glitch, please let us know about it.

Glitches with respect to Bible Reference

1. The results of a search specifying multiple chapters of a book will be incomplete or empty (e.g., for Obad, or 1 Th 4:10-5:7)

2. Query may hang on a compound specific query which involves two lines specifying Bible references (e.g., search for Isaiah 40:1-12 and Micah 5:1-10)

3. Does not find references where the short form of the book is used with a period (e.g., Gal 2:20 works, Gal. 2:20 does not)

Some errors in processing

1. Will fail if importing a Kerux2002 type supplement which does not include the "OriginalLocation" field in sermons.

2. Will give an overflow error on importing Kerux2010 type supplement if you answer "Yes" to the "Include Location?" question

3. Error 457 on extracting the Bible references if a resources contains a string like "Romans 13:1, 7; ‘1"

Miscellaneous glitches and desired improvements

1. Redesign the logic for extraction of Bible references with associated changes in the search for improved speed and versatility.

2. Record count not updated immediately upon importing supplements

3. Accumulating resources to clipboard does not retain formatting

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Full featured Documentation generator


System requirements

Kerux 2010 requires the Windows operating system. It is the first version of the database that is compatible with 64-bit operating systems like Vista and Windows 7 (but see this note). It does not work on Macs. It is unknown if it will work with Linux but it will probably work in Linux in compatibility mode.

Kerux 2010 divides the database into the programming code (the file Kerux2010.accdb or Kerux2010.accdr) and the data file (KeruxData.mdb). There are other supporting files as well.

Those who own the Microsoft Access 2010 can dig into the programming code behind the database. Most users will be using what is called the free runtime version that is downloaded from the Microsoft website and they will not be able to make changes to the core of the program, although they can add and edit as many records as they like.

The data file is quite large - at least 1.0 gigabytes. You should have at least 2 gigabytes on your hard-drive to install it. The more computer memory you have, the faster it will run. It is a good idea to make regular backups of the entire program, preferably to an external hard-drive.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Full featured multi-format Help generator


64-bit

Although Microsoft Access 2010 is a 64-bit program, the Kerux2010 database has been compiled on Rev. Holwick's 32-bit WindowsXP computer. Those with fully 64-bit systems and Office 2010 may not be able to open it.

The best option for them is the SID64 version of the database which can be found at <www.holwick.com/database.html>

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free Web Help generator


Tutorial

This short tutorial will give you the basics of using the database. It will begin with a lot of graphics since you may be new to the program.

This first page (above) shows the Main Menu with search data entered. I will be searching in Both sermons and illustrations, with "salvation by grace" as the Topic and "eph 2:8" as the Bible reference. The Scripture could also be spelled out as "Ephesians 2:8". Click Search and all the matching records will be displayed.

This is the result of the search. One record is summarized but there are others available. You can open just this one record, or all of them. If you choose "all" then the dataset will be limited to the twelve results in the list.

Now we are on the Resources form, which is the normal way to view sermon and illustration records. This Full view includes most of the references; clicking the Simple view button hides some of them. The navigation buttons (circled at upper right and lower left in red) help me cycle through all the records in this "set" (12 in this case).

When I come across one I like, I click the Accumulate button (purple area) and the count increases by one. As you navigate to other records you can add any others you like by hitting the Accumulate button each time. When I click Send the copied records are sent to the Windows Clipboard and I can paste them into my word processor. The count in this box would then return to "0". Hitting the Clear key also resets the counter.

Notice the tabs at the top of the Resources form that read Home, Resources and Search Results. The second one, Resources, reflects the page I am looking at. The other tabs are pages that are open but hidden. Click on Home and the Main Menu pops up again; the page above would still be available if I click its tab. If I click Close on the menu bar (under the Resources heading) the Search Results page will appear; click Close on that and the Main Menu appears. At that point no other tabs would be open.

The blue menu bar can also get you back to the search forms on the Main Menu, or you can Print this record, or add a new record (you will be prompted to indicate whether it is a sermon or an illustration).

Below the blue menu bar are the tabs for the Resources form. There are actually four pages - the main illustration (or sermon) page, this Details page, a Cross-References page, and an Attachments page.

The Details page is where you register where a sermon or illustration has been used. The first red circle shows the newest version, with the "children's sermon" note above the date. The next time this illustration is used I would enter the note on the line underneath "9/25/2005" and I would put the new date above that.

The second red circle represents the descriptive text note you can add for clarification.

________

The above is just a brief tour through the Kerux database. You can browse through this help file for much more information. The best way to learn the database is to simply use it consistently. If you have suggestions for improvements, please let us know.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easy to use tool to create HTML Help files and Help web sites


Searching

Getting Started

The Search function is one of the most important features of any database. From tens of thousands of records, you want to whittle it down to the handful that fit your needs. There are at least three ways to accomplish this with the Kerux database:

Specific Search The best way to fine-tune your searches (formerly Advanced Search)

Broad Search Easiest way to search, but more of a blunt instrument.

Form Search Only available for those who own the Microsoft Access program

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free help authoring environment


Specific search

Specific Search - makes a detailed search of records in the database. This kind of searching allows the most flexibility because you can use Boolean arguments (and, if, less than, etc.) This is the type of search that is used by the SID program.

In this example, the Type has been limited to Illustrations. Each record will have "grace" in the Topic field. The Bible reference field will contain "Eph 2:8" and only those illustrations that have been entered by David Holwick will be chosen. The "And" fields show that the search are accumulative - each criteria must be fulfilled for a record to appear. Leaving the lowest row blank does not affect the search but you cannot leave a higher row blank with search criteria set below that. By the way, you can change the default search criteria (in this example: Topics/References/Typed By) at the Kerux Options page.

Hitting the Enter key begins the search. If you have the complete database, at least 52 records will be selected. On the Advanced Search Results form, click "Open All Results" on the menu bar. Something like the following page will appear. Note that the bottom left corner says "Record 1 of 52", indicating how many illustrations and/or sermons have been selected out of the database. You can cycle through this set by clicking the Navigation buttons on the right side, and use the Accumulate button to copy specific records into the Windows Clipboard so you can paste them into your word processor. (Some of this form has been condensed, so the full Accumulate sections is not visible.)

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easily create Help documents


Broad search

Basic search

Upon launching, the Kerux Main Screen will appear in the upper left-hand corner of your screen. Pass your mouse over "Search Resources" and you will see two options, Basic Search and Advanced Search. Here is an explanation of Basic Search.

Basic Search - makes a broad search of records in the database.

Type lets you search both Sermons and Illustrations, or you can limit it to one type.

Search for: lets you type in search word(s). If it is a Bible reference, click that box.

Match lets you choose whether the search words are a phrase or an assortment.

Exclude lets you limit the records that will be produced by the search. Your search becomes something like "black AND NOT white".

Click the first funnel icon and the search will begin.

Click the second funnel icon (with the "x") and the results are cleared.

The fields under Title and Topics/Search look like you can enter search words into them, but you cannot. This is just where the results will show up. Only enter your search words into the fields that are surrounded by dark blue.

Here are the results for a search for "salvation by grace". Only an overview of the first few records is presented - click Open Results to cycle through each of the 234 records.

Advanced search

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Full featured Help generator


Form Search

You can do many searches right on the Resources form. If you are looking at a record and see something that interests you, like a Topic or Author, you can highlight that word with your cursor, go to the ribbon on the top of the page, and click the Selection button. You can choose whether the search contains that word, or doesn't contain it.

You can also use the Find button (it looks like binoculars) to search for words that don't show up on that form. It is a very blunt instrument and does not focus on any particular field. You are probably better off doing a Basic or Advanced Search on the Main Menu. (Another disadvantage of searching from the form - the Simple View won't work.)

Bear in mind that your search is limited to the records in the set you are looking at. The number in your current set is displayed in the lower left corner of the screen:

Those who own the Microsoft Access program (version 2007 or later) can do more thorough search directly on the Resources form. On the Kerux Main Menu, double-click on Resources (or slide to the right and click View All Resources) and the regular Resources form will appear.

Right-click in any field and a pop-up window appears. The lines that say "Equals...", etc., allow you to limit the records to match the contents of this field, or that don't match.

Half-way down will be a line that says Text Filters. Put your cursor on it and more options will appear to the right. Generally you will want to choose the "Contains..." option so that your search word(s) will be found in records that contain those words in that field. The other options let do exact searches, or searching for anything except your word(s), etc.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easily create Web Help sites


Manipulating records

The following section shows how to work with the records in the database and understand the options it gives you.

    1. Editing records

    2. Using Accumulate to send records to the Windows Clipboard

    3. Adding your own notes to records

    4. Adding your own material to the database

    5. How to track changes to individual records

    6. Adding location information where records are used

    7. Explanation of the identification numbers for each record.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Editing records

Editing

Once your cursor is in the body of the record (either a sermon or illustration) you can edit and format the material. This tool kit will appear in the background:

First, select some of the text in the record. You can select all the text by clicking the Select Text button on the right side of the form.

After the text is selected you can use the formatting icons to change the font, size, indentation, color, attributes, etc.

Formatting tools also appear in a ribbon on the top of the page. You have the option of minimizing/maximizing this ribbon by clicking on the arrow symbol on the right side (circled in red below).

Do not get carried away with formatting - it is a good idea to keep a consistent style throughout the database. Arial 10pt is the standard format in the database. Very large fonts would dominate the form window and crowd out other text so I rarely use a font greater than 12pt.

Some functions found in word processors, such as the tab key, will not work in the database but there is a button to increase and decrease indentation.

When you are finished editing and formatting the text, clicking any menu bar item or the navigation items will save the changes. (Note that hitting "Cancel" on the menu bar will still save the changes.)

A programming routine may run after you finish your editing. This routine is looking for Bible references in your record, which are added to a special table for future searching. Be patient!

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free HTML Help documentation generator


Accumulate

The Accumulate feature allows you to put a series of records into your computer's memory so they can be pasted into a word processor. It is one of the more helpful features of the database and was originally designed by Rev. Chris Wareham.

If you come across a sermon or illustration that you want to use in a message or article, just click the Accumulate button and the Count will read "1". Cycle through a few more records and add the sermons or illustrations that meet your needs; with each addition, the count will increase. When you are done, click the Send button and the records will be sent, with references, to the Windows Clipboard. Paste them into any application you wish. At any time you can click the Clear button and the count will return to "0" just as it does after the Send key is clicked.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Notes

The Last Use field on the Resource form shows the last time you used this record. You do not enter the date here, however, but enter it on the Details page . The Details tab on the record menu will take you there. Multiple dates and notes can be entered.

In the Import/Export functions, the data stored in the Details area is called "Locations".

The original Access database had a field called Personal Note. It is still contained in this version but is suppressed. The new system for notes is superior because the dates are handled separately from the text notes.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easy to use tool to create HTML Help files and Help web sites


Adding new material

One of the big advantages of this database system is you can add your own illustrations and sermons. There are many advantages to having an organized system, such as not repeating yourself, keeping a balance in the themes of your sermons, and seeing which areas you may be neglecting.

It is easy to add your own material. On the Main Menu under Resources you can add a sermon or an illustration:

On the Resources form itself, there is a menu bar entry for Add New. The next page will ask you to choose Sermon or Illustration, which appear in the Resource Type box on the right-hand side.

If you are going through a set of records and you come to the end, the same dialog will appear.

When you add your own material, make sure you put your name in the Typed By field. You have your name entered automatically by going to Main Menu > Maintenance > Kerux Options. You can set the default typist, default attachments folder, as well as default Advanced Search criteria and ID number options.

________

A fast way to add lots of new material is to import a supplement. Most supplements contain sermons and illustrations that are already in the Kerux format.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easily create PDF Help documents


Tracking changes

Every new record in the database is automatically stamped with the creation date which is found in the lower left corner of the Resources form, in light gray color and named Entered. Next to it is the date and time any part of the record was Updated. Next to that is an entry called Text Changed that gives the last time the body of the record was edited.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easily create Help documents


Adding restrictions

You can add special attributes to individual records.

Restricted means it will be omitted when you export a supplement (you can override this during export if you wish).

Replaced indicates another illustration or sermon used to be at this number; usually the original was omitted because it duplicated something already in the database. Checking off

No Updates will lock this record so supplements you download from others will not overwrite this record.

Rating is a number you or others can give to show the quality of this illustration or sermon - 10 is good, 1 is poor. Most of the existing ratings are adapted from the SermonCentral.com users' rating.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easy CHM and documentation editor


Location

Location can mean several things in this database. On the Sermons portion of the Resources form, it is where the sermon was originally preached. On the Details page, the location is where you have used this record (or a part of it) in your own message. Multiple locations can be entered, one for each date.

When you export a supplement you have the option to include or exclude the location information - the location where you have entered the details on how you personally used a resource is meant, not where a sermon was originally preached by someone else.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easily create PDF Help documents


Numbers

The Kerux database is filled with numbers, more than you may think necessary. Believe it or not, they each serve a distinct purpose. Here is a description of each:

P# The full name is Personal Number. (In the underlying data table it is named ResourceID.) This number is manageable in size and will increment for each new record you add to the database. Ten different users may have the same sermon illustration in their database but each could have a different Personal Number for this record. All records will have a Personal Number. If you update your database by downloading a new mega-database, the Personal Number of any of your own records that you transfer will be changed. Only the UniqueID (=ReplicationID) is unchangeable.

H# The full name is HolwickID. In the original database, all new illustrations or sermons had to be funnelled through Rev. David Holwick so they could have this unique ID number attached. While a record's Personal Number would differ from user to user, the HolwickID (also known as a KeruxID) would stay the same. This number was required for supplements to work. With this new version that is no longer the case. If a record has this number, it means it originated in Pastor Holwick's database; other records will be blank in this field. In the original version, HolwickID was used in illustrations and Holw-serm-ID was used for sermons. The new version consolidates those under HolwickID. When you add records, do not manually put a number in this field or future updates from David Holwick may overwrite your material.

Unique ID This number is a new addition to the database and a very important one. You will find it on the front page of the Resources form and also on the Details page (it can be turned off on the Details page). It doesn't look like a number because it has alphabet letters as well, so that it looks like this: {ABD200DE-D3C3-4A10-9BC6-AA916B673707}. The Unique ID, called the ReplicationID in the underlying data table, is the one number that will be universally attached to this record, forever. It will never change. The beauty of it is that if a million pastors enter a million records a day for a million years, each record will have a unique number here. Because of this number (also known as a GUID) any pastor can share a supplement of records with other pastors, and future updates will correctly find them; in the past, all changes had to go through the editor David Holwick to keep consistency. Now they do not. The disadvantage of a Replication number is that it is unwieldy so you may want to use the Personal Number when you notate illustrations in your sermons.

SermonID Older versions of the database had a number that represented the sermons that a particular preacher had in the database. It was not consistently applied. The first sermon would always be "1" and it would increase to the final sermon number. This number is called OldID in the underlying data table.

You may notice gaps in the ID numbers even if you download all the sermon and illustration sets. This is normal - some material is not distributed because of heresy or copyright concerns. On occasion one of David Holwick's sermons will reference one of these "forbidden" illustrations or sermons. At the end of most years he creates a CSV table that lists the creation and modification dates for all the existing records in his original database; it can be found on the supplement set download page at the website.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source


Navigating the database

Navigating

After you have reduced the huge number of records in this database to the specific ones that are most helpful to you, you must figure out how to wade through them. This section will show you how to navigate the database in all its layers.

  • Moving through records

  • Sorting records

  • Using menu tabs

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free help authoring environment


Moving through records

It is important to know how to move through the database, especially in the records area.

On the Main Menu, on the right-hand side you will see Recently Edited and Recently Added records. To go immediately to one of these records, just double-click on the Green (for illustrations) or Blue (for sermons).

After you do this, the record which opens will have this information in the lower left corner:

This means you are looking at a single record. If you click the navigation arrow, the database will ask if you want to add a new record.

If you do a search (Advanced or Basic) from the Main Menu you will see something like this in the lower left corner:

The record you are looking at is one of 385. If you use the navigation arrows you will move to the next record.

Click on the brown "Filtered" funnel and the search results will be annulled. Now you will see something like this (you may have to click the funnel twice):

Numbers like this, if they match the "All" number on the Main Menu, indicate no filter is in place. The navigation arrows will cycle you through the entire database, something I don't recommend unless you have a severe case of sermon block.

If you edit an illustration, clicking on the lower left navigation arrows will cause a background function to launch which will glean Scripture references from the body of the record. You will not move to the next record. Click it again, and you will move to the next one.

There are also the big navigation arrows on the right-side of the Resources form. They work the same way as the ones in the lower corner but with one drawback - if you have edited a record, the Scripture reference gleaning will occur and then any records stored with the Accumulate button will disappear. This is due to a glitch in the programming and we hope to have it corrected eventually.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easily create Web Help sites


Sorting records

When working on the Resources form you can sort the records in a number of ways. Just put your mouse cursor in the field and click on the sort options (ascending or descending) in the ribbon at the top of the page (assuming you have not minimized it).

You can sort numbers (for ID numbers, large ones tend to be more recent), date the record was created, or last edited, or page numbers, or whatever hits your fancy. If you cannot sort a certain field, the sort options will disappear.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easily create Help documents


Menu tabs

The database screen has many shortcuts to aid you in moving around the program efficiently.

1. The Ribbon has buttons for sorting, filtering and formatting text.

2. The Tabbed Menu shows all the open forms. Click on a tab and that form will open up. If you close a form, that tab disappears. By leaving forms open and using the Tabbed Menu you can zip back and forth between features of the database.

3. The Menu Bar gives shortcuts to primary functions on the Main Menu, like searching or adding new records.

4. The Record Menu shows the layers of each record (illustration or sermon). The front layer has the main record. Below that is the Details page with data on how, when and where you have used this record. The Cross-reference page and Attachments are further down.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free PDF documentation generator


Forms

Your window into the contents of the database will be through a variety of forms. (The data tables, which contain the raw words and references in each record, look like large spreadsheets with only a few words visible for each field.)

Many of the forms have multiple layers. This section explains the layout of most of the forms and their layers.

    • Main Menu - key utilities are displayed here
    • Resources form - the form you will do most of your work on
    • Detailed - the standard version
    • Simple - a stripped-down version that shows more text
    • Details page - where you put notes on how and when you used a record
    • Cross references - where you can associate this record with similar ones
    • Attachments - where you attachment external files to a record
    • Flash screen - the brief opening screen with the Bible image

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Full featured Documentation generator


Kerux Main Menu

The Kerux Main Menu form is the standard starting place for using the database. Each of the topics on the left lead to more options on the right. The bottom of the form gives you a quick view of the total number of records in your database.

On the right side of the page you will see a list of resources you have edited or added recently. If you double-click on the green (illustration) or blue (sermon), that record will pop open so you can review it or edit it.

Search Resources

Broad Search

Specific Search

Resources

View all resources (takes you to the Resources form, with no filters applied)

All resources - Simple (takes you to the Simple Resources form, with no filters applied)

New Sermon

New Illustration

Series List

Custom Type List

Maintenance

Export Resources

Import Resources

Import Bible Illustrator

Backup Kerux

Kerux Options

Bible Abbreviations

User Shortcuts

Capitalization Override

Holwick website

About Kerux

Development

Review Log

Options for Development

Maintain Bug information

To the right of the Main Menu box are three indicators of how many records your database currently contains.

In the upper right is the Help button. Pressing the F1 key will also launch the help file on most forms. If your cursor is in a particular field, specific help for that field should appear. The help file also has an extensive index and search capability.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easy to use tool to create HTML Help files and Help web sites


Recently Edited

The lower right corner of the Main Menu has a box listing the most recently edited records. To retrieve one, simply double-click on the green Illustration or blue Sermon in front of it. 25 of the most recent records are listed here; use the elevator bar to show the ones which are hidden.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Full featured Help generator


Recently Added

The lower right corner of the Main Menu has a box listing the most recently added records. To retrieve one, simply double-click on the green Illustration or blue Sermon in front of it. 25 of the most recent records are listed here; use the elevator bar to show the ones which are hidden.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easy to use tool to create HTML Help files and Help web sites


Resources form

Resources

Resources is the regular form for displaying records. Reference data is contained in the top half and the body of the record is held in the bottom half. If you use Simple View, the body of the resource gets more space and some of the reference material is omitted from the view.

There are two styles, one for illustrations and one for sermons. Each style has four pages, with the second Details page holding the information on the date you used this resource, the location, and any notes you wish to write about it. The Cross-References page shows links to other records. The Attachments page shows external files that have been attached to this record.

Here is an example from the illustrations style (the top Ribbon has been minimized and the newest version of the form moves the right-hand navigation arrows lower down):

1. Menu bar. Major database activities are accessed here.

2. Tabs for each page. (see a brief description of each one above)

3. Bible references can be added as abbreviations or spelled out (it is good to be consistent). Topics highlight the main themes of each record. In the "Typed By" field you can add your own name for records you enter yourself. Your name can be entered automatically if you set it as the default at Main Menu > Maintenance > Kerux Options.

4. Source information shows where you found the material in the record. The Date is the date of the original article, etc. P# represents the Personal Number of this record in your database; the program enters it automatically. H# is the Holwick ID number and shows that the record originated in David Holwick's database. Supplements sometimes use this number to update the correct records - do not alter it. Records you enter yourself will be blank in this field.

5. This area has buttons for inserting text files and Word documents into the body of the record:

Insert File

Insert Resource

Copy Text

Select Text

Simple View

Extract Refs. will extract Bible references in the record and list them in the Details section, along with the references listed in the Text field. When you do a Broad Search for a Scripture reference, the program uses this list of Scriptures. The Extract Refs. button only extracts from this one record. To have extraction done automatically, set the attribute in the Main Menu > Maintenance > Kerux Options page. I find this slows down my work considerably so I turn off automatic extraction and use the Main Menu > Maintenance > Extract References feature to run extraction once a month or so.

6. The Accumulate section lets you enter the record into the Windows Clipboard. As you cycle through the records that match your searches, some of them you will want to save for your sermon. Click "Accumulate" for each record you want to keep and the total number of saved records will be shown in the "Count" field. When you are done, click "Send" and they are placed in the Clipboard so you can paste them into your word processor. At any time you can click "Clear" to set the count back to zero.

Export opens the form for putting records into a supplement file that can be imported by other users. You would click it if you wanted to export the set of records you are working on here.

7. Restricted allows you to tag this record so it is not included when you export a supplement (you can override this during export if you wish).

8. These are special attributes you can apply to an individual record. Replaced indicates another illustration or sermon used to be at this number; usually the original was omitted because it duplicated something already in the database. Checking off No Updates will lock this record so supplements you download from others will not overwrite this record. Rating is a number you or others can give to show the quality of this illustration or sermon - 10 is good, 1 is poor.

9. Previous Use is the number of times you have used this record in the past. Last Use gives the date of the most recent usage. The Details page gives fuller information on this. Cross Refs shows the number of cross-reference links to other records.

10. The Unique ID is the one number that will be universally attached to this record, forever. It will never change. The beauty of it is that if a million pastors enter a million records a day for a million years, each record will have a unique number here. Because of this number (known as a GUID) any pastor can share a supplement of records with other pastors, and future updates will correctly find them. In the past, all changes had to go through the editor David Holwick to keep consistency. Now they do not.

11. The database automatically records the date this record was entered, and when it was updated. If only the body of the record was changed, this is recorded in Text Changed.

12. This gives you the size of the record set you are currently working with. Every time you search for a Topic or something like that, the record set is whittled down. The bottom left shows how many records you have in your subset at that time, and which record of the set you are dealing with. This is a very helpful clue - you can always tell if you are dealing with the entire database or just a portion of it. Filtered means a search has whittled the database down to fewer records, while Unfiltered means all of the records in the database are open to be cycled through. The arrow buttons can be used to go to the next record (the Navigation arrows on the upper right can do the same thing.) Of course, if you are dealing with the entire database that would require a lot of clicking!

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easily create Web Help sites


Print Options

When you click the Print tab on the menu bar of the Resources form you will see the pop-up Resources Print Options.

You have the option of a Basic report or a Complete report (the difference is in the number of fields included). You can adjust the order the records are printed in.

When you click the Print button it still doesn't print yet - instead you will see a Print Preview of the output. Right-click on the preview and you can send it to your print.

Be very careful on the Resources you select to print - "All Resources" will be over 50,000 pages!

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easily create PDF Help documents


Simple View form

Resources Simple Form

The Simple View resources form hides some of the references so you can see more of the body of the illustration or sermon. By clicking the Full View or Simple View buttons you can switch between the forms.

Be aware that Simple View only works if you originate the search with Basic Search or Advanced Search. It does not work if you do a form search. This is a glitch that we hope to solve eventually.

Another glitch for the Simple View form is that if your search produces a large number of records, the Simple View form will produce an error message.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free CHM Help documentation generator


Details page

The Details page has two sections.

The first section lists the Bible verses that are associated with this record.

The second section is where you can list your personal notes on when you used the illustration or sermon, and where you used it (other notes can be given there as well). It is superior to the old Personal Note field (also called the Date Used field) because it can be sorted by date. The front page of the Resources form shows the total number of entries on the Details page, and the most current date. This helps when you are trying to find fresh material.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free Web Help generator


Cross references

Cross references are internal links from record to record. If you add a record that quotes something in another record, you can add the HolwickID of the second record in this field and a link will be generated.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easily create PDF Help documents


Attachments

Files outside the database can be linked to specific records on this page, which is one of the tabbed pages of the Resources form. The external files do not become part of the database and if you move the database, they do not move with it. Only the links are permanent.

Files can be dragged from Windows Explorer, or located by clicking the Select File button and browsing.

You can specify a default directory for the attachments on the Options page.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free PDF documentation generator


Flash Screen

The Flash Screen is the form with the image of an open Bible that pops up momentarily when you start the database, or when you click the About Kerux button. It contains version information, date of production and the copyright notice.

If the flash screen stays open, click it once with your mouse and it should disappear. If it doesn't disappear you could have big troubles.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Full featured Help generator


Reports

Reports are the layouts that are used by the Resources form when printing a record or series of records. There is a Basic option and a Complete option; the Basic eliminates some of the fields that are printed.

Those who own the Access database program can tweak these reports.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Full featured Documentation generator


Series List

The Series List gives in alphabetical order the series that various sermons are attached to. Some pastors use the same generic sermon series titles, such as "2 Timothy" or "Improving Your Family," so one series title may contain messages by a variety of preachers.

Many sermons are categorized by a series followed by the number that the sermon is in that series, such as "Improving Your Family, #2." Currently the Series List gives this as a separate series though it should really be part of the "Improving Your Family" series. We are working on a way to program around this.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easily create HTML Help documents


Custom Type List

Custom Resource

The Custom Resource creates a Super-Topic that records can be associated with.

For example, if you are collecting children's sermons you could start a custom resource called "Children's Sermons". Go to the Main Menu, click Custom Type List and type in whatever you want the name of your resource to be - in this case, Children's Sermons. You can add as many entries as you like.

As you work in the Resources form (the main form for handling sermons and illustrations) you may come across material that could work as a children's sermon. Just click the down-arrow in the Custom Type box and choose the entry "Children's sermon". After you have associated some material with this category, just go back to the Main Menu > Custom Type List section, find "Children's sermons", and click the Open All button. The first record associated with that custom topic will appear, and you can use the navigation buttons to cycle through the rest.

Custom Lists can be exported as a supplement on the Export menu in the Maintenance section.

Only one Custom Type can be associated with a particular record. To use more types, you would be better off just using the Topics field to give records topics that will associate them together.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Full featured Documentation generator


Maintenance

The Maintenance section gives you control over what you bring into and send out of the database. You can also change the default entries in several forms, such as automatically having your name put in the Typist field.

  • Export Resources
  • Import Resources
  • Backup Kerux
  • Kerux Options
  • Bible Abbreviations
  • User Shortcuts
  • Capitalization Override
  • Holwick website with Kerux files
  • About the Kerux database

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free PDF documentation generator


Extract References

One of the most powerful features of the Kerux2010 database is the way records are tied to Bible verses. It is always a good idea to type key Bible verses related to a record in the Text field. The Specific Search function usually focuses on this. However, the Broad Search function adds Scriptures that are quoted or referred to in the record but not listed in the Text field. For this to happen, the record has to have those references extracted first and this is what the Extract References function does.

There are three ways to utilize the Extract References function. Since the function takes a fair amount of time, we recommend the first option:

1. Use the Extract References form at Main Menu > Maintenance > Extract Resources. Large numbers of records can be done at once, and you can limit the extraction by date or resource number. (recommended)

2. Use the Extract Refs button on the Resources Form below "Simple View".

3. Set the Reference Extraction function to operate automatically whenever a record is modified. Note that this can slow down the task of working on records considerably. You set this at Main Menu > Maintenance > Kerux Options. Check the box that says "Extract Searchable References from Resources Fields after each field is updated..."

The Extract References function does not work perfectly. It misinterprets some references and may create mythical references. It also generates a large number of secondary references that may overwhelm your searching. But sometimes it may ferret out just the record you are looking for.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free help authoring environment


Export Resources

The Export feature lets you make a supplement of some or all of the records in your database. A typical use would be to make a collection of your personal illustrations or sermons and share them with friends. Records are exported as a mini-database - they cannot be used as-is, but need to be imported by another user (or by yourself, on a different computer).

You have control over what is contained in any export. If you are exporting a set of records that you want to import into another computer you own, you would want to export every detail in the records. However, if you are exporting records that you want to share with a wider public, you would probably want to leave out personal data such as your own notes, the dates you used the illustration in a sermon, where you preached it, and so on.

If you are making a supplement in the pre-Access2007 style, see the warning at the bottom.

In the example below, you would not want to click the Export button - the entire database would be made into a huge supplement. To export a particular dataset, click the "Displayed Resources" button. I often export a date range of records and prefer the "Limit to Resources Updated Between:" option. Be sure and check off the box when you do this.

Type

You can limit the export to sermons or illustrations, or export both together.

Custom Type

If you have attached records to a Custom Type, you can export them as a group.

Include Restricted

You may have checked off the Restricted box on records you do not want to share with others. If you want them included in this export, check this box.

Include Location

This is the information on the Details page (the second page of the Resources form) that indicates when you used a record, and where you used it. Since it is personal information, you normally would not include this information, but you can if you wish.

Include Personal Notes

Usually you do not include this for supplements you want to share with others, but you can if you wish.

Limit to Entered

Check the box and enter a date range if you want to export records you entered last month, or last year, etc.

Limit to Updated

Check the box and enter a date range if you want to export records you modified last month, or last year, etc.

Select Resources

This section controls which records are included in the export. If you have just done a search for “Salvation by Grace” you can export the results of the search. When the search is completed (and don’t forget to click the Open All Results button) you can click the Home tab in the upper-left corner of the screen. Go to the Main Menu > Maintenance > Export Resources and choose Displayed Resources. If you choose Current Resource Only, the top record in that search will be exported but not the others. If you choose All Resources then the entire database - and not your search results - will be exported.

You will figure out soon enough if you have selected the wrong option because you will be told how many records are being exported. “1” tells you it is Current Resource Only. For this example, “22” tells you that all the search results are being exported, and “60,000” tells you every single record is being exported. The export doesn’t actually begin until you press the Yes button so you can change your mind if you make a mistake.

Export File Type

Records can be exported as an Excel spreadsheet or an Access database. Most of the time you want to export as an Access database.

Access Version

Finally, if you are sharing your supplement with someone who has a pre-Access2007 version of Access, or the SID version, check the Export for Previous Access Versions box. If you don’t do this, they won’t be able to import your supplement into their database. If this box is checked, a further option shows up - only include the ReplicationID (also known as the Unique ID) if the other person can utilize it. Any version of the database prior to September 2010 will not be able to use it. The original Access 97 version of the database will probably not be able to import any supplement Kerux 2010 produces.

Warning! It is best to share your personally-created supplements only in full Kerux2010 style, not the pre-Access2007 style. The reason is that Kerux2010 automatically adds a HolwickID to new records. If they import your supplement, then import one from Rev. Holwick, there is a good chance your illustrations/sermons will be overwritten by his. This will not happen in Kerux2010-mode because it bases the synchronization on the ReplicationID .

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easily create HTML Help documents


Import Resources

(For importing Bible Illustrator files, go here.)

Illustration and sermon supplements are posted on Pastor Holwick's website at www.holwick.com/database.html You will want to download supplements that are listed as "Access 2010 compatible". Supplements are uploaded a few times a year and there is always an annual catch-up supplement. Kerux2010 has had many improvements but not all the bugs have been worked out yet so some supplements may include software updates as well as new or updated records. New updates to the program will be posted on the website.

Supplements may contain sermons, illustrations, or both. Some are new records and others are existing records that have been changed in some way such as the addition of better Bible references or Topics.

Some special supplements will include improvements to the programming behind the database. Ideally you should be able to keep your database completely current by means of supplements - don't get in the habit of downloading a new mega-database every month or so. I only change mega-databases at the beginning of the year.

Generally you will import a Kerux2010 supplement and you use this form under Maintenance > Import Resources.

1. Click the top button.

2. Click this to browse and find the supplement file.

3. Decide how you want the HolwickID to be updated. Supplements from Rev. Holwick will have sequentially numbered HolwickIDs but supplements from other people may have numbers in this field that conflict with existing records. To be safe, check off this box so that new HolwickIDs are very large.

4. These options decide how existing records are treated. I recommend allowing updates of existing records because new topics and Scriptures are often added to old records. If you don't check off this box, only new records will be added to your database. Location information and cross references between illustrations can be imported, or not.

5. This area deals only with HolwickID numbers:

Do not Import numbers at all — HolwickID on input is to be left empty
Do not fill in missing numbers — If found in input, use them; if missing, leave empty
Import existing, number missing, nos. — Use any numbers found in input, number any missing ones.
Renumber all imported records — Renumber, ignoring any number in input

6. After you select a file in #2, the filename will appear in this box and an IMPORT button will appear to the right of #2. Click that and the supplement will be imported to your database.

Danger of Overwriting

Be aware that updated records in a supplement will overwrite records in your database unless you choose not to. Sometimes the change is dramatic, such as when a record was discovered to be a duplicate of something already in the database and so it was replaced with a completely different record, which has happened hundreds of times. If you have changed record #123456 (for example) and the supplement has that record as well, all of your changes will be overwritten.

Some fields are never overwritten - your personal notes, location and date-used information, and Restricted and No Updates (previously called Do Not Update) areas are never overwritten, at least with supplements downloaded from the Holwick website. The rare exception is a supplement created by another person with this new version, who includes those fields in their supplement.

The only records that can be overwritten are publicly shared ones - your personal sermons and illustrations will never be touched by an update because only you possess them. Supplements operate by linking to the HolwickID number (and in this version, the Unique ID number).

You can safeguard any changes you make to a record by checking off the No Updates box. Of course, if that record is found to be a duplicate by Pastor Holwick and replaced with new material, or if helpful Bible references are later added to it, you will never know.

Check the Supplement Date

Be careful to check the production date on any supplement you import. If you have a brand-new mega-database and import a supplement that is three years old, the records that are affected will be downgraded with three-year-old data. If you are building a database on your own by means of supplements, always import in order from the oldest to the newest.

Reviewing Supplements

Presently there is no way to review the changes that a supplement would make to your database. Since supplements often contain thousands of records, you probably wouldn't want to anyway.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Import Bible Illustrator

Importing Bible Illustrator files

The ability to import Bible Illustrator files is available once again. BI supplements end in ".sup". Due to formatting issues, they require some explanation.

1. Choose Bible Illustrator.

2. Click this button and browse for the supplement file.

3. To give each record a special HolwickID number, leave this information as is.

4. Most of these will not apply to Bible Illustrator supplements.

5. See the "Import Resources" page to see what these mean.

6. When your supplement has been selected, the filename will appear in this box. Another button called "IMPORT" will also appear next to #2 above; clicking IMPORT will add the records to your database.

7. To clean up formatting issues in BI supplements you have some options on how spaces and tabs are treated. It is probably best to accept the default choices here.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easy CHM and documentation editor


Backup Kerux

This option makes a backup of the content of your database. Previous Access versions combined the engine and the data (illustrations and sermons) in a single file. This version separates them into two files. (Other files are also used for the program.)

The database engine file is called Kerux2010.accdb, or if you have the standalone version it is called Kerux2010.accdr.

The name of the data file is KeruxData.mdb (all Access databases end in ".mdb"). Almost all your work is contained in the data section and you want to protect this at all costs. Databases can become corrupted; hard-drives can fail. How many times has it happened to you? Pastor Holwick has a program that might possibly repair a damaged database but there are no guarantees it will work. The best safeguard is a consistent schedule of backups.

The Backup maintenance option will make a backup copy of the KeruxData.mdb file. You can also use Windows Explorer to back up the Kerux directory to an external hard-drive or DVD. I would highly recommend this.

If you are like me, you will invest a lot of time in this database. Only you can protect this investment. You have been warned.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free Web Help generator


Kerux Options

This form allows you to set up default data entry. If you put your name in the Default Typed By field, every time you create a new illustration or sermon, your name will be inserted in the Typed By field.

The Default Search Options can be set to match your preferences. I like to do Exact matches (called Phrase here) but you can also set it to All Words or Any Words.

Search By establishes which options are presented to you when you do an Advanced Search. At any time you can override these defaults on the Advanced Search form.

The Resource Attachments Folder is the standard place the program will look when you want to attach a file.

Resource Form Options

The ID options can hide these two number IDs on the Resources form. The IDs are still in the underlying database but those fields will disappear on the form. There is an advantage in having an easy-to-use number on a form; Pastor Holwick uses the HolwickID to refer to illustrations in his sermons. However, not all of your records will have HolwickIDs so you might want to hide that one. See the discussion on Numbers for more details.

Developer Options

The Debugging option is limited to those who own the Microsoft Access 2007 or 2010 program.

The ReplicationID (also called the Unique ID) shows up on both the front Resources page and on the Details page. This allows you to hide the second one.

Extract Searchable References determines whether Bible references are extracted from a record as you work on it, or at a later time. If this box is unchecked, you must manually extract searchable references after making your changes by clicking the "Extract Refs." button in the Resource screen. The extraction process takes a few moments and can bog down the editing of a record so you may prefer to do it manually. Pastor Holwick does it manually about once a month.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free Web Help generator


User Shortcuts

Shortcuts can be real time savers. Here is an example of shortcuts used by Rev. Holwick. In the first column are abbreviations and the second column has the full text they represent. When the abbreviations are typed in the Resources form, the Full Text is automatically written out.

Note that the shortcut must represent the entire field - it will not work within a larger entry.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easily create Web Help sites


Capitalization Override

Several data fields on the records forms are programmed to automatically capitalize every word. However, some words have complex capitalization (i.e., McDonald) and other words you do not want capitalized. This table allows you to register words which will be spelled exactly as you type them here, at least for the fields Title, Topics, Author/Preacher. If a word is followed by punctuation, such as followed by a comma because it is in a list of topics, this feature will not be applied. The word must stand by itself or have a space on either side.

Add new words to the list by entering them on the bottom line. You can add a descriptive note if you wish. Only single words can be entered.

There will still be some exceptions - a few McDonalds prefer to spell it Mcdonald. The only way to edit this is by editing with an update query, or directly on the table rather than through a form. You must own the full Microsoft Access program in order to do this.

________

This code is derived from the "SetUpper" function by Rob Richards <http://www.utteraccess.com/forum/Uppercase-converter-incl-t619856.html>

It is about the only code that Rev. Holwick has been able to incorporate into the database. Almost all the rest is from the efforts of Chris Wareham, Brett Wilton and Edward Barclay.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easy CHM and documentation editor


System Information

The System Information section tells you about your database.

  • Bible Abbreviations
  • Holwick website
  • About Kerux
  • Show Summary Bug Info
  • Produce Full Bug Report

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Easily create Web Help sites


Bible Abbreviations

Previous versions of the Kerux database had strict conventions - Bible references in the illustrations portion had to be precisely abbreviated while the main Bible reference for a sermon had to be spelled out, but the Secondary Reference field for sermons had to be abbreviated! Some users never quite got the hang of this.

The 2010 version allows much more leeway. If you don't like a standard abbreviation for a Bible book you can add your own in the Customization table [Main Menu > Maintenance > Bible Abbreviations]. Go to the third column, "Custom Abb." and enter your preferred abbreviation. When you use the regular search function to look for a Bible verse and use an abbreviation, the references that use the full book name are also found. In addition, the program ferrets out references and abbreviations that are hidden in the body of illustrations and sermons.

One of the conventions used in this database for Bible abbreviations is that books that have a single chapter, such as Jude, treat it as chapter 1. Thus a search for the seventh verse in Jude should be entered "Jude 1:7".

No matter what abbreviations you use, it is a good idea to use the full Bible book name for the Main Reference of all your Sermons.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free CHM Help documentation generator


Holwick website

This links to the main website of Rev. Holwick, www.holwick.com. Over 1,500 of his sermons are online here.

The specific Kerux database page (SID) is www.holwick.com/database.html.

The Kerux Access 2010 database is on page www.holwick.com/sermons/database-Access.html.

Supplement sets are at www.holwick.com/sermons/database-sets.html. I recommend that database users get in the habit of downloading supplements instead of the mega-database since the large database rarely changes apart from the addition of new sermons and illustrations, which are included in the much smaller supplements.

If you have questions about the database, feel free to email Rev. Holwick at dholwick@gmail.com. If he cannot answer your technical questions he might be able to find someone who can.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free help authoring environment


About Kerux

This is the opening Flash page. To close it, just click on the form. It contains version information, date of production and the copyright notice. Most of the material in this database is copyrighted by others and should only be used in the "Fair Use" context.

When you use one of the records in the database, especially something you put on the internet or in print form, be sure and give credit to the original source, if given, and not just the Kerux database. Here is a suggested attribution:

Rev. Joe Smith, "My Best Sermon," given at First Baptist Church of Anytown, Anywhere, on

January 1, 1980. Found in the Kerux Sermon Illustration database, record #1000022.

(It has been a long time since I have been in college, so use the format they are currently pushing. It seems to change all the time!)

Anyone can freely use the database for the glory of God, at no cost. Please share it with others for no charge. If you find that someone is selling the database or monetarily profiting from it in any way, please inform Pastor Holwick. Thank you!

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source


Show Summary Bug Info

This gives a list of the most recent bugs found in the program. Most of them are discovered by Pastor Garth Hutchinson, one of our main developers. The status of "bugs" changes over time as we fix the problems.

New bugs can be reported on the Maintain Bug Information page.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free CHM Help documentation generator


Produce Full Bug Report

Clicking this will send a list of bugs to your printer.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free help authoring environment


Development

The Development section is to assist developers in fixing and enhancing the database features. Most users will ignore this area unless they encounter a problem. In that case, go to the Review Log and copy the information and copy the information that is reported there, and pass it on to David Holwick who will see if his developers can fix it.

  • Review Log
  • Options for Development
  • Maintain Bug Information

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free HTML Help documentation generator


Review Log

This section records issues that may be produced by the database. The error reports can be very helpful to the database developers, so if you encounter a problem please report the contents of this page to David Holwick who will pass it on to the developers who might be able to fix it.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Full featured multi-format Help generator


Options for Development

This section is definitely for those who want to work on the inner functions of the database. The database is distributed as a stand-alone program in the ".dr" format. If you want to tweak it, and have the Microsoft Access database program on your computer, simply change the file named Kerux2010.accdr to Kerux2010.accdb (change the "dr" to "db") and you will be able to modify the Tables, Forms, Modules, etc. Only experiment if you know what you are doing and have made a backup!

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free PDF documentation generator


Maintain Bug Information

This form allows the recording of bugs encountered in the program. The developers keep a log of errors so they can continue optimizing the database.

Entering information on a new bug does not communicate it with the Kerux2010 developers. Send it by email to Pastor Holwick at dholwick@gmail.com so your bug can be fixed.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Full featured multi-format Help generator


Updating the database

A great advantage of the Kerux database is the ability to import material from other users. Importing covers far more than just the illustrations and sermons - updated database code is also included in some supplements and upgrades.

A common practice of some users is to download the latest mega-database from the website every year or so (some even do it multiple times a year). They would be getting the latest version but they are also sacrificing any personal data they have entered into the database, personal edits, and date-of-use information. In effect, they are starting from scratch each time.

It is far wiser to keep the current database you are using and maintain it with regular supplements and software upgrades. This way you get the latest advances and don't sacrifice your own material.

There are times when you must start over with a new database, such as upgrading from a 32-bit version to this 64-bit version. It is still possible to transfer your personal data to the new version. Creating a supplement of your material in the previous version and importing it into the new would solve part of the problem but certain fields like "Date used" are not included in the old-style exporting. Someone with the Microsoft Access program could create a supplement from your old material that would include everything. Pastor Holwick can help you arrange this.

Copyright © 2019 by Rev. David Holwick

Created with the Freeware Edition of HelpNDoc: Free Web Help generator